## golang-github-appleboy-gin-jwt 2.6.4

=== Makefile ===
.PHONY: test

GO ?= go
GOFMT ?= gofmt "-s"
GOFILES := $(shell find . -name "*.go" -type f)

install-embedmd:
	@hash embedmd > /dev/null 2>&1; if [ $$? -ne 0 ]; then \
		$(GO) get -u github.com/campoy/embedmd; \
	fi

embedmd-check: install-embedmd
	embedmd -d *.md

embedmd: install-embedmd
	embedmd -w *.md

.PHONY: fmt
fmt:
	$(GOFMT) -w $(GOFILES)

.PHONY: fmt-check
fmt-check:
	@diff=$$($(GOFMT) -d $(GOFILES)); \
	if [ -n "$$diff" ]; then \
		echo "Please run 'make fmt' and commit the result:"; \
		echo "$${diff}"; \
		exit 1; \
	fi;

test: fmt-check
	@$(GO) test -v -cover -coverprofile coverage.txt ./... && echo "\n==>\033[32m Ok\033[m\n" || exit 1

vet:
	$(GO) vet ./...

lint:
	@hash revive > /dev/null 2>&1; if [ $$? -ne 0 ]; then \
		$(GO) get -u github.com/mgechev/revive; \
	fi
	revive -config .revive.toml ./... || exit 1

.PHONY: misspell-check
misspell-check:
	@hash misspell > /dev/null 2>&1; if [ $$? -ne 0 ]; then \
		$(GO) get -u github.com/client9/misspell/cmd/misspell; \
	fi
	misspell -error ./...

.PHONY: misspell
misspell:
	@hash misspell > /dev/null 2>&1; if [ $$? -ne 0 ]; then \
		$(GO) get -u github.com/client9/misspell/cmd/misspell; \
	fi
	misspell -w ./...

clean:
	$(GO) clean -modcache -cache -i
	find . -name "coverage.txt" -delete

=== debian/changelog ===
golang-github-appleboy-gin-jwt (2.6.4-2) unstable; urgency=medium

  * Source-only upload for testing eligibility.

 -- Cyril Brulebois <cyril@debamax.com>  Tue, 19 Jan 2021 01:53:52 +0000

golang-github-appleboy-gin-jwt (2.6.4-1) unstable; urgency=medium

  * Initial release (Closes: #979356).

 -- Cyril Brulebois <cyril@debamax.com>  Tue, 05 Jan 2021 17:51:28 +0000

=== debian/control ===
Source: golang-github-appleboy-gin-jwt
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Cyril Brulebois <cyril@debamax.com>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-appleboy-gofight-dev,
               golang-github-dgrijalva-jwt-go-dev,
               golang-github-gin-gonic-gin-dev (>= 1.6.3),
               golang-github-stretchr-testify-dev,
               golang-github-tidwall-gjson-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-appleboy-gin-jwt
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-appleboy-gin-jwt.git
Homepage: https://github.com/appleboy/gin-jwt
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/appleboy/gin-jwt

Package: golang-github-appleboy-gin-jwt-dev
Architecture: all
Depends: golang-github-appleboy-gofight-dev,
         golang-github-dgrijalva-jwt-go-dev,
         golang-github-gin-gonic-gin-dev (>= 1.6.3),
         golang-github-stretchr-testify-dev,
         golang-github-tidwall-gjson-dev,
         ${misc:Depends}
Description: JWT middleware for the Gin framework
 This is a middleware for the Gin framework. It uses jwt-go to
 implement a JWT authentication middleware. It provides additional
 handler functions to provide the login API that will generate the
 token and an additional refresh handler that can be used to refresh
 tokens.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-appleboy-gin-jwt-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/appleboy/gin-jwt/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-appleboy-gin-jwt 2.9.1

=== debian/changelog ===
golang-github-appleboy-gin-jwt (2.9.1-1ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 15 Jul 2024 10:01:04 +0530

golang-github-appleboy-gin-jwt (2.9.1-1) unstable; urgency=medium

  * Team upload
  * Replace Build-Depends and Depends for new version
    + Remove golang-github-dgrijalva-jwt-go-dev
    + Add golang-github-golang-jwt-jwt-dev
  * Update Standards-Version to 4.6.2 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 13 Jul 2023 22:57:00 +0800

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: golang-github-appleboy-gin-jwt
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Cyril Brulebois <cyril@debamax.com>
 Section: golang
 Testsuite: autopkgtest-pkg-go
@@ -8,11 +9,11 @@
                dh-golang,
                golang-any,
                golang-github-appleboy-gofight-dev,
-               golang-github-dgrijalva-jwt-go-dev,
                golang-github-gin-gonic-gin-dev (>= 1.6.3),
+               golang-github-golang-jwt-jwt-dev,
                golang-github-stretchr-testify-dev,
                golang-github-tidwall-gjson-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-appleboy-gin-jwt
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-appleboy-gin-jwt.git
 Homepage: https://github.com/appleboy/gin-jwt
@@ -22,8 +23,8 @@
 Package: golang-github-appleboy-gin-jwt-dev
 Architecture: all
 Depends: golang-github-appleboy-gofight-dev,
-         golang-github-dgrijalva-jwt-go-dev,
          golang-github-gin-gonic-gin-dev (>= 1.6.3),
+         golang-github-golang-jwt-jwt-dev,
          golang-github-stretchr-testify-dev,
          golang-github-tidwall-gjson-dev,
          ${misc:Depends}
